Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v1
Class MocContainerRenderer

    java.lang.Object
      |
      +--oracle.portal.provider.v1.PortletContainerRenderer
            |
            +--oracle.portal.provider.v1.DefaultContainerRenderer
                  |
                  +--oracle.portal.provider.v1.MocContainerRenderer

public class MocContainerRenderer
extends DefaultContainerRenderer

A PortletContainerRenderer is a utility class that renders the container for a portlet. The container that is renderered may vary depending on the SHOW mode that is being requested. For example, Edit, Edit Defaults. Help, About, and Show Details are all rendered in "full screen" mode whereas the regular Show and Preview modes have variable size containers depending on the size of the portlet.

Fields inherited from class oracle.portal.provider.v1.PortletContainerRenderer
`ACTION_PARAM_NAME, CUSTOMIZE_FORM_NAME, DEFAULT_ACTION_PARAM, EDIT_FORM_NAME, HELP_URL, PORTLET_TITLE, PRINT_WRITER, RENDER_CUSTOMIZE, RENDER_MODE`

Constructor Summary
`MocContainerRenderer()`

Methods inherited from class oracle.portal.provider.v1.DefaultContainerRenderer
`renderAboutFooter, renderAboutHeader, renderDetailsFooter, renderDetailsHeader, renderEditDefaultsFooter, renderEditDefaultsHeader, renderEditFooter, renderEditHeader, renderHelpFooter, renderHelpHeader, renderPreviewFooter, renderPreviewHeader, renderShowFooter, renderShowHeader`

Methods inherited from class oracle.portal.provider.v1.PortletContainerRenderer
`renderPortletFooter, renderPortletHeader`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MocContainerRenderer

    public MocContainerRenderer()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD